org.appng.openapi.model

## Class NavigationItem

- java.lang.Object
- - org.appng.openapi.model.NavigationItem

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class NavigationItem
      extends Object

  NavigationItem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NavigationItem.TypeEnum` Gets or Sets type

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_ACTIVE`
    `static String` | `JSON_PROPERTY_DEFAULT`
    `static String` | `JSON_PROPERTY_ITEMS`
    `static String` | `JSON_PROPERTY_NAME`
    `static String` | `JSON_PROPERTY_PATH`
    `static String` | `JSON_PROPERTY_SELF`
    `static String` | `JSON_PROPERTY_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigationItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NavigationItem` | `_default(Boolean _default)`
    `NavigationItem` | `active(Boolean active)`
    `NavigationItem` | `addItemsItem(NavigationItem itemsItem)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getActive()` Get active
    `Boolean` | `getDefault()` if this is the default page? (type PAGE only)
    `List<NavigationItem>` | `getItems()` Get items
    `String` | `getName()` Get name
    `String` | `getPath()` Get path
    `String` | `getSelf()` the API path (type PAGE only)
    `NavigationItem.TypeEnum` | `getType()` Get type
    `int` | `hashCode()`
    `NavigationItem` | `items(List<NavigationItem> items)`
    `NavigationItem` | `name(String name)`
    `NavigationItem` | `path(String path)`
    `NavigationItem` | `self(String self)`
    `void` | `setActive(Boolean active)`
    `void` | `setDefault(Boolean _default)`
    `void` | `setItems(List<NavigationItem> items)`
    `void` | `setName(String name)`
    `void` | `setPath(String path)`
    `void` | `setSelf(String self)`
    `void` | `setType(NavigationItem.TypeEnum type)`
    `String` | `toString()`
    `NavigationItem` | `type(NavigationItem.TypeEnum type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_SELF

          public static final String JSON_PROPERTY_SELF

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_NAME

          public static final String JSON_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_DEFAULT

          public static final String JSON_PROPERTY_DEFAULT

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PATH

          public static final String JSON_PROPERTY_PATH

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ACTIVE

          public static final String JSON_PROPERTY_ACTIVE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_TYPE

          public static final String JSON_PROPERTY_TYPE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ITEMS

          public static final String JSON_PROPERTY_ITEMS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NavigationItem

          public NavigationItem()

  - ### Method Detail

    - #### self

          public NavigationItem self(String self)

    - #### getSelf

          @Nullable
          public String getSelf()

      the API path (type PAGE only)
      Returns:
        self

    - #### setSelf

          public void setSelf(String self)

    - #### name

          public NavigationItem name(String name)

    - #### getName

          @Nullable
          public String getName()

      Get name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### _default

          public NavigationItem _default(Boolean _default)

    - #### getDefault

          @Nullable
          public Boolean getDefault()

      if this is the default page? (type PAGE only)
      Returns:
        _default

    - #### setDefault

          public void setDefault(Boolean _default)

    - #### path

          public NavigationItem path(String path)

    - #### getPath

          @Nullable
          public String getPath()

      Get path
      Returns:
        path

    - #### setPath

          public void setPath(String path)

    - #### active

          public NavigationItem active(Boolean active)

    - #### getActive

          @Nullable
          public Boolean getActive()

      Get active
      Returns:
        active

    - #### setActive

          public void setActive(Boolean active)

    - #### type

          public NavigationItem type(NavigationItem.TypeEnum type)

    - #### getType

          @Nullable
          public NavigationItem.TypeEnum getType()

      Get type
      Returns:
        type

    - #### setType

          public void setType(NavigationItem.TypeEnum type)

    - #### items

          public NavigationItem items(List<NavigationItem> items)

    - #### addItemsItem

          public NavigationItem addItemsItem(NavigationItem itemsItem)

    - #### getItems

          @Nullable
          public List<NavigationItem> getItems()

      Get items
      Returns:
        items

    - #### setItems

          public void setItems(List<NavigationItem> items)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.